OracleVM 3.4 : qemu-kvm (OVMSA-2017-0101)

High Nessus Plugin ID 100115

Synopsis

The remote OracleVM host is missing a security update.

Description

The remote OracleVM system is missing necessary patches to address critical security updates :

- kvm-cirrus-avoid-write-only-variables.patch [bz#1444377 bz#1444379]

- kvm-cirrus-stop-passing-around-dst-pointers-in-the-blitt .patch

- kvm-cirrus-stop-passing-around-src-pointers-in-the-blitt .patch

- kvm-cirrus-fix-off-by-one-in-cirrus_bitblt_rop_bkwd_tran .patch

- kvm-cirrus-fix-PUTPIXEL-macro.patch [bz#1444377 bz#1444379]

- Resolves: bz#1444377 (CVE-2017-7980 qemu-kvm: Qemu:
display: cirrus: OOB r/w access issues in bitblt routines [rhel-6.9.z])

- Resolves: bz#1444379 (CVE-2017-7980 qemu-kvm-rhev: Qemu:
display: cirrus: OOB r/w access issues in bitblt routines [rhel-6.9.z])

- kvm-fix-cirrus_vga-fix-OOB-read-case-qemu-Segmentation-f .patch

- kvm-cirrus-vnc-zap-bitblit-support-from-console-code.pat ch [bz#1443447 bz#1443449]

- Resolves: bz#1443447 (CVE-2017-7718 qemu-kvm: Qemu:
display: cirrus: OOB read access issue [rhel-6.9.z])

- Resolves: bz#1443449 (CVE-2017-7718 qemu-kvm-rhev: Qemu:
display: cirrus: OOB read access issue [rhel-6.9.z])

- Resolves: bz#1447544 (CVE-2016-9603 qemu-kvm-rhev: Qemu:
cirrus: heap buffer overflow via vnc connection [rhel-6.9.z])

- Resolves: bz#1447540 (CVE-2016-9603 qemu-kvm: Qemu:
cirrus: heap buffer overflow via vnc connection [rhel-6.9.z])

- kvm-vns-tls-don-t-use-depricated-gnutls-functions.patch [bz#1428750]

- kvm-vnc-apply-display-size-limits.patch [bz#1400438 bz#1425943]

- Resolves: bz#1400438 (qemu-kvm coredump in vnc_refresh_server_surface [rhel-6.9.z])

- Resolves: bz#1425943 (CVE-2017-2633 qemu-kvm-rhev: Qemu:
VNC: memory corruption due to unchecked resolution limit [rhel-6.9.z])

- Resolves: bz#1428750 (Fails to build in brew)

Solution

Update the affected qemu-img package.

See Also

https://oss.oracle.com/pipermail/oraclevm-errata/2017-May/000694.html

Plugin Details

Severity: High

ID: 100115

File Name: oraclevm_OVMSA-2017-0101.nasl

Version: 3.7

Type: local

Published: 2017/05/11

Updated: 2019/09/27

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9

Temporal Score: 6.7

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 9.9

Temporal Score: 8.6

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:qemu-img, cpe:/o:oracle:vm_server:3.4

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2017/05/10

Vulnerability Publication Date: 2017/04/20

Reference Information

CVE: CVE-2016-9603, CVE-2017-2633, CVE-2017-7718, CVE-2017-7980